<template>
  <v-list two-line>
    <template v-for="(item, index) in items">
      <v-list-tile 
        :to="itemLink(item)" 
        :key="index"
        avatar>
        <v-list-tile-avatar>
          <v-icon x-large>{{ itemIcon(item) }}</v-icon>
        </v-list-tile-avatar>

        <v-list-tile-content>
          <v-list-tile-title v-html="itemName(item)"/>

          <v-list-tile-sub-title>
            Description
          </v-list-tile-sub-title>

        </v-list-tile-content>

<!--         <v-list-tile-action>
          <v-tooltip left>
            <v-btn 
              slot="activator" 
              icon 
              ripple
              @click.prevent=""
            >
              <v-icon color="success">build</v-icon>
            </v-btn>
            <span>Fabricate</span>
          </v-tooltip>
        </v-list-tile-action> -->

        <v-list-tile-action v-if="!selectonly">
          <v-tooltip left>
            <v-btn 
              slot="activator" 
              icon 
              ripple
              @click.prevent="downloadItem(item)"
            >
              <v-icon color="primary">get_app</v-icon>
            </v-btn>
            <span>Download</span>
          </v-tooltip>
        </v-list-tile-action>

        <v-list-tile-action v-if="!selectonly">
          <v-tooltip left>
            <v-btn 
              slot="activator" 
              icon 
              ripple
              @click.prevent="deleteItem(item)"
            >
              <v-icon color="red lighten-1">delete</v-icon>
            </v-btn>
            <span>Delete</span>
          </v-tooltip>
        </v-list-tile-action>

        <v-list-tile-action>
          <v-tooltip left>
            <v-btn 
              slot="activator" 
              icon 
              ripple
              @click.prevent=""
            >
              <v-icon>more_vert</v-icon>
            </v-btn>
            <span>More actions</span>
          </v-tooltip>
        </v-list-tile-action>

      </v-list-tile>

      <v-divider 
        v-if="index + 1 < items.length" 
        :key="`divider-${index}`"/>
      
    </template>
  </v-list>
</template>

<script>

import {bus} from '@js/bus'

export default {
	
	props:{
		// section:custom_props
		items: {
			type: Array,
			default: () => {
				return []
			}
		},
		storage: {
			type: String,
			default: 'local'
		},
		selectonly: {
			type: Boolean,
			default: false
		},
		multiselect: {
			type: Boolean,
			default: false
		}
		// endsection:custom_props
	},

	data() {
		return {}
	},

	computed: {

	},

	methods: {
		itemIcon(item) {
			if(item.is_directory == '1')
				return 'folder'
			return 'description'
		},

		itemLink(item) {
			if(item.is_directory == '1') {
				//return 'files/' + item.id
				return { name: 'storage', params: {storageType: this.storage, fileId: item.id} }
			} else {
				return 'files/' + item.id + '/view'
			}
		},

		itemName(item) {
			return item.name + item.ext
		},

		deleteItem(item) {
			this.$emit('delete', item)
		},

		downloadItem(item) {
			this.$emit('download', item)
		},

		selectItem(item) {
			this.$emit('submit', item)
		},
	}

}

</script>

<style type="text/css">
	
</style>